For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.v2.genAi.regions.get(requestConfiguration?: RequestConfiguration<RegionsRequestBuilderGetQueryParameters>): Promise<undefined | ApiListRegionsOutput>
Description
To list all datacenter regions, send a GET request to /v2/gen-ai/regions.
Parameters
servesInference boolean optional
Example: true
Include datacenters that serve inference.
servesBatch boolean optional
Example: true
Include datacenters that are capable of running batch jobs.
Request Sample
Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
createDigitalOceanClient,
DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";
const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);
const response = await client.v2.genAi.regions.get();
Response Example
Show Response Example
{
"regions": [
{
"inference_url": "example string",
"region": "example string",
"serves_batch": true,
"serves_inference": true,
"stream_inference_url": "example string"
}
]
}
See /v2/gen-ai/regions in the API reference for additional detail on responses, headers, parameters, and more.